<meta http-equiv="refresh" content="2;url=miolo.php?miolo=slides&acao=insert">

<table border="0" class="tabela-conteudo" cellspacing="10">
	<tbody>
		<tr class="linha-topo">
			<td>
				Inser&ccedil;&atilde;o de Slide:
			</td>
		</tr>
<?php

	require("auxiliares/redimensionaImg.class.php");

	if($_POST['chkManterCapa'] == 1){
		$query = "UPDATE adm_slides SET titulo = '".utf8_decode($_POST['titulo'])."', link = '".$_POST['link']."', subtitulo = '".utf8_decode($_POST['subtitulo'])."', descricao = '".utf8_decode($_POST['text'])."' WHERE id = '".$_POST['id']."'";
	}

	if($_POST['chkManterCapa'] != 1){

		$redim = new Redimensiona();

		$numero = rand(1,99999999);
		$nome = $numero.$_FILES['capaSlide']['name'];
		$nome = $redim->tratar_arquivo_upload($nome);
		
		$tipoImagem = $_FILES['capaSlide']['type'];

		// Thumbs
		$fotoThumbs = $_FILES['capaSlide']['tmp_name'];
		$filenameThumbs = $redim->GerarThumbs($fotoThumbs, 313, 132, "imagens-site/slides/thumbs", $tipoImagem, $nome);

		// Normal
		$foto = $_FILES['capaSlide']['tmp_name'];
		$filename = $redim->Redimensionar($foto, 1200, 1200, "imagens-site/slides", $tipoImagem, $nome);

		$query = "UPDATE adm_slides SET titulo = '".utf8_decode($_POST['titulo'])."', link = '".$_POST['link']."', capa = '".$filename."', subtitulo = '".utf8_decode($_POST['subtitulo'])."', descricao = '".utf8_decode($_POST['text'])."' WHERE id = '".$_POST['id']."'";
	}

	if(!empty($query)) $updateSlide = mysql_query($query);

	if($updateSlide){
		?>
		<tr>
			<td>
				Atualiza&ccedil;&atilde;o do slide <? echo $_POST['titulo']; ?> relizada com sucesso!
			</td>
		</tr>
		<?

	}

	if(!$updateSlide){
		?>
		<tr>
			<td>
				Houve um erro ao atualizar o slide <? echo $_POST['titulo']; ?>
			</td>
		</tr>
		<?
	}
?>
	</tbody>
</table>